Bug 144204 - Wrong uptime reporting in snmpwalk/get.
Wrong uptime reporting in snmpwalk/get.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
http://stats.d3vi1.linux360.ro/uptime...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-04 20:14 EST by Razvan Corneliu C.R. VILT
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-18 03:29:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Razvan Corneliu C.R. VILT 2005-01-04 20:14:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
After some time (didn't restart yet to verify as it's a production
station), the snmp uptime values start to be wrong, it seems like a
counter reset.
[root@d3vi1 ~]# snmpget -v 2c -c public localhost system.sysUpTime.0
SNMPv2-MIB::sysUpTime.0 = Timeticks: (25375329) 2 days, 22:29:13.29
[root@d3vi1 ~]# uptime
02:31:36 up 35 days, 12:18,  2 users,  load average: 0.20, 0.34, 0.29

Version-Release number of selected component (if applicable):
net-snmp-5.1.2-11

How reproducible:
Always

Steps to Reproduce:
1.Check the system uptime using the uptime command
2.Check the uptime reported by snmpd
3.Compare the values. If the uptime is over ~32 days it resets for
net-snmp.

Actual Results:  The net-snmp reported values are wrong.

Expected Results:  The net-snmp uptime value should be the same (+- a
few ticks) if you run the two commands one after another.
Comment 1 Radek Vokal 2005-01-18 03:29:00 EST
# snmpget -v 2c -c public bunny system.sysUpTime.0
system.sysUpTime.0 = Timeticks: (586752671) 67 days, 21:52:06.71

This seems like sth else is reseting your service. This value doesn't
report the machine uptime but the deamon uptime. 

Note You need to log in before you can comment on or make changes to this bug.